package ru.yandex.autotests.directapi.darkside.model.bslogs.clientdata;

import com.google.gson.annotations.SerializedName;

public class CreativeWithStatus {
    public enum CreativeType {
        PERFORMANCE("performance"),
        PERFORMANCE_TGO("performance-tgo");

        private final String statusType;

        CreativeType(String statusType) {
            this.statusType = statusType;
        }

        @Override
        public String toString() {
            return this.statusType;
        }
    }
    @SerializedName("CreativeId")
    private String creativeId;

    @SerializedName("CreativeType")
    private String creativeType;

    @SerializedName("Status")
    private String status;

    @SerializedName("Version")
    private String version;

    public String getCreativeId() {
        return creativeId;
    }

    public void setCreativeId(String creativeId) {
        this.creativeId = creativeId;
    }

    public String getCreativeType() {
        return creativeType;
    }

    public void setCreativeType(String creativeType) {
        this.creativeType = creativeType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }
}
